local L = PGFinderLocals

EnRT_MistressSasszineOptions = CreateFrame("Frame", "EnRT_MistressSasszineOptionsFrame", InterfaceOptionsFramePanelContainer)
EnRT_MistressSasszineOptions.name = L.OPTIONS_MISTRESSSASSZINE_TITLE
EnRT_MistressSasszineOptions.parent = "|cFFFFFF00Tomb of Sargeras Modules"
EnRT_MistressSasszineOptions:Hide()

local title = EnRT_MistressSasszineOptions:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
title:SetPoint("TOP", 0, -16)
title:SetText(L.OPTIONS_TITLE)
	
local tabinfo = EnRT_MistressSasszineOptions:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
tabinfo:SetPoint("TOPLEFT", 16, -16)
tabinfo:SetText(L.OPTIONS_MISTRESSSASSZINE_TITLE)

local author = EnRT_MistressSasszineOptions:CreateFontString(nil, "ARTWORK", "GameFontNormal")
author:SetPoint("TOPLEFT", 450, -20)
author:SetText(L.OPTIONS_AUTHOR)

local version = EnRT_MistressSasszineOptions:CreateFontString(nil, "ARTWORK", "GameFontNormal")
version:SetPoint("TOPLEFT", author, "BOTTOMLEFT", 0, -10)
version:SetText(L.OPTIONS_VERSION)

local enabledButton = CreateFrame("CheckButton", "EnRT_MistressSasszineEnabledCheckButton", EnRT_MistressSasszineOptions, "OptionsCheckButtonTemplate")
enabledButton:SetSize(26, 26)
enabledButton:SetPoint("TOPLEFT", 30, -90)
enabledButton:HookScript("OnClick", function(self)
	if self:GetChecked() then
		EnRT_MistressSasszineEnabled = true
		PlaySound(856)
	else
		EnRT_MistressSasszineEnabled = false
		PlaySound(857)
	end
end)

local enabledText = EnRT_MistressSasszineOptions:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
enabledText:SetPoint("TOPLEFT", enabledButton, "TOPLEFT", 30, -7)
enabledText:SetText(L.OPTIONS_ENABLED)


EnRT_MistressSasszineOptions:SetScript("OnShow", function(self)
	enabledButton:SetChecked(EnRT_MistressSasszineEnabled)
end)

InterfaceOptions_AddCategory(EnRT_MistressSasszineOptions)